Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.oscache.base.events
Class ScopeEvent

    java.lang.Object
      com.opensymphony.oscache.base.events.CacheEvent
          com.opensymphony.oscache.base.events.ScopeEvent

public final class ScopeEvent
extends CacheEvent

A `ScopeEvent` is created when an event occurs across one or all scopes. This type of event is only applicable to the `ServletCacheAdministrator`.

Version:
  $Revision: 1.2 $
Author:
  Francois Beauregard

Field Summary

Fields inherited from class com.opensymphony.oscache.base.events.CacheEvent
`origin`

Constructor Summary
`ScopeEvent(ScopeEventType eventType, int scope, java.util.Date date)` Constructs a scope event object with no specified origin.
`ScopeEvent(ScopeEventType eventType, int scope, java.util.Date date, java.lang.String origin)` Constructs a scope event object.

Method Summary
`java.util.Date` | `getDate()` Retrieve the event date
`ScopeEventType` | `getEventType()` Retrieve the type of the event.
`int` | `getScope()` Retrieve the scope that applies to the event.

Methods inherited from class com.opensymphony.oscache.base.events.CacheEvent
`getOrigin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScopeEvent

    public ScopeEvent(ScopeEventType eventType,
                      int scope,
                      java.util.Date date)

  Constructs a scope event object with no specified origin.

Parameters:
  `eventType` - Type of the event.
  `scope` - Scope that applies to the event.
  `date` - Date that the event applies to.

### ScopeEvent

    public ScopeEvent(ScopeEventType eventType,
                      int scope,
                      java.util.Date date,
                      java.lang.String origin)

  Constructs a scope event object.

Parameters:
  `eventType` - Type of the event.
  `scope` - Scope that applies to the event.
  `date` - Date that the event applies to.
  `origin` - The origin of this event.

Method Detail

### getDate

    public java.util.Date getDate()

  Retrieve the event date

### getEventType

    public ScopeEventType getEventType()

  Retrieve the type of the event.

### getScope

    public int getScope()

  Retrieve the scope that applies to the event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| See www.opensymphony.com for more information.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD